fulfillment-associate-orders-delete-one¶
Source¶
Repository:
jef-systems/jef-fulfillment-associate-backendSource Run ID:
25102000534Source SHA:
c226ca62ef6b026753728d0bc8bc0d132f27115dModule:
fulfillment-associateDocumentation Scope:
asyncLambda:
jef-fulfillment-associate-delete-5
Endpoint¶
API Name:
jef-fulfillment-associateAction Name:
deleteMethod:
DELETEScope Label:
AsyncResource Path:
/fulfillment-associate-orders-delete-oneComplete Endpoint:
https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-orders-delete-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fulfillment-associate-delete-5curl payload mode:
json_body
API Gateway Description¶
Function: jef-fulfillment-associate-delete-5
Module: jef-fulfillment-associate
Action: delete
Method: DELETE
Invocation Mode: ASYNC
Resource Path: /fulfillment-associate-orders-delete-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-fulfillment-associate-orders
Payload Example:
- pk: order-001
Payload Schema:
- pk: id
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "order-001"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X DELETE "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-orders-delete-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"order-001\"}"
PowerShell curl¶
curl.exe -X DELETE "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-orders-delete-one" -H "Content-Type: application/json" --data-raw '{"pk": "order-001"}'